package com.rthoni.stssaguenay.business;

import com.luticate.utils.business.LuPromise;
import com.luticate.utils.dbo.LuDataAccessConfigDbo;
import com.luticate.utils.dbo.LuVoidDbo;
import com.rthoni.stssaguenay.dataaccess.UsersSettingsDataAccess;
import com.rthoni.stssaguenay.dbo.UsersSettingsDbo;

/**
 * Created by robin on 10/3/16.
 */

public class UsersSettingsBusiness {

    public static String encryptSettings(UsersSettingsDbo settingsDbo, String password)
    {
        return UsersSettingsDataAccess.encryptSettings(settingsDbo.toString(), password);
    }

    public static UsersSettingsDbo decryptSettings(String data, String password)
    {
        data = UsersSettingsDataAccess.decryptSettings(data, password);
        if (data == null) {
            return null;
        }

        UsersSettingsDbo settings = new UsersSettingsDbo();
        try {
            settings.fromJson(data);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
        return settings;
    }

    public static LuPromise<String> get(LuDataAccessConfigDbo config, String id)
    {
        return UsersSettingsDataAccess.get(config, id);
    }

    public static LuPromise<LuVoidDbo> put(LuDataAccessConfigDbo config, String data, String id)
    {
        return UsersSettingsDataAccess.put(config, data, id);
    }
}
